编辑器选用

未匹配的标注

编辑器选用

我们推荐使用 VSCode 来做 Laravel/PHP 开发。

考虑的以下方面:

  • 简单轻便
    相比 IDE 来讲,内存占用较少,且没有太多的 Magic。
  • 跨平台
    对编辑器熟练程度很大程度上决定了你的编码速度,使用跨平台的编辑器是比较明智的选择;
  • 易用性
    社区强大表现在插件和主题的丰富多样。且 VSCode 插件安装便捷,且网络连接稳定,使其在同类竞争对手中脱颖而出。

如何安装?

直接前往 code.visualstudio.com/download 下载安装包。

VSCode 插件

必装

插件名称 说明
EditorConfig for VS Code 代码制表符统一
advanced-new-file 快速新建文件
Duplicate action 右键快速创建文件副本
Laravel Blade Snippets Blade 模板语法高亮

选装

插件名称 说明
Community Material Theme 编辑器主题
Material Icon Theme 与上面主题搭配使用的 icon
Sublime Text Keymap and Settings Importer Sublime 用户的快捷键同步

如何安装插件?

如何安装以上罗列的插件?

  1. 进入『安装插件』选项卡里;
  2. 复制以上 完成的插件名称 进行搜索,一般排名第一位的就是;
  3. 选中插件后,点击安装。

如下:

编辑器选用

本文章首发在 LearnKu.com 网站上。

上一篇 下一篇
Summer
《L01 基础入门》
我们将带你从零开发一个项目并部署到线上,本课程教授 Web 开发中专业、实用的技能,如 Git 工作流、Laravel Mix 前端工作流等。
《L02 从零构建论坛系统》
以构建论坛项目 LaraBBS 为线索,展开对 Laravel 框架的全面学习。应用程序架构思路贴近 Laravel 框架的设计哲学。
讨论数量: 13
发起讨论 只看当前版本


yupeng123
安装 Sublime Package Control 是不是失败了啊
2 个点赞 | 4 个回复 | 问答 | 课程版本 5.5
孤独患者
Install Package 之后再插件内并没有找到 editorconfig?
2 个点赞 | 2 个回复 | 问答 | 课程版本 5.5
JeveScript
编辑器推荐
1 个点赞 | 17 个回复 | 分享 | 课程版本 6.x
robinfire
Sublime 安装『Package Control』失败的解决办法
1 个点赞 | 1 个回复 | 分享 | 课程版本 6.x
learner
为什么不能使用 PHPstorm?
0 个点赞 | 25 个回复 | 问答 | 课程版本 5.5
mfsslgs
Sublime 用不了了?
0 个点赞 | 5 个回复 | 问答 | 课程版本 5.5
wyboxl
编辑器 Sublime text3 无法安装 EditorConfig
0 个点赞 | 3 个回复 | 问答 | 课程版本 5.7
dokiss
package 推荐
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
Self-assured
Sublime text3 里找不到 EditorConfig 插件?
0 个点赞 | 1 个回复 | 问答 | 课程版本 5.5
沙漠行者
插件找不到
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.5
gaga
以前用 atom 现在怎么改用 Sublime 了
0 个点赞 | 0 个回复 | 问答 | 课程版本 5.5